      SUBROUTINE FANUCA ( CDNOMC, KRANGC, LDVERR )
#include "facom0.h"
C****
C        Ce sous-programme calcule le RANG du Cadre de NOM
C     *CDNOMC* dans la table des noms de cadres *CNOMCA*;
C     S'IL N'Y EST PAS TROUVE, LE RESULTAT EST ZERO.
C        Ce sous-programme, appele par plusieurs sous-programmes
C     du Logiciel de Fichiers ARPEGE, se charge lors de son
C     premier appel d'appeler le sous-programme preparatoire FARINE.
C**
C       Arguments : CDNOMC (Entree) ==> Nom de cadre cherche;
C                   KRANGC (Sortie) ==> Rang dans la table des cadres
C                                       du logiciel FA (0 si absent);
C                   LDVERR (Entree) ==> Sert, en mode multi-taches
C                                       seulement, a savoir si l'on doit
C                                       verrouiller globalement ou pas.
C
#include "precision.h"
C
#include "facomp.h"
#include "facom1.h"
C
      INTEGER KRANGC
C
      INTEGER J, IRESUL
C
      CHARACTER CDNOMC*(*)
C
      LOGICAL LLPREA, LDVERR, LLVERG
      SAVE LLPREA
C
      DATA LLPREA/ .TRUE. /
C
#include "facom2.h"
C
      IF (LLPREA) THEN
        CALL FARINE (2)
        LLPREA=.FALSE.
      ENDIF
C
C          VERROUILLAGE GLOBAL (A CAUSE DE L'UTILISATION DE NFIOUV )
C
      LLVERG=LFAMUL.AND.LDVERR
      IF (LLVERG) CALL LFIVER (VRGLAS,'ON')
C
      DO 10 J=1,NCADEF
C
      IF (CDNOMC.EQ.CNOMCA(NCAIND(J))) THEN
        IRESUL=NCAIND(J)
        GOTO 20
      ENDIF
C
   10 CONTINUE
C
      IRESUL=0
C
   20 CONTINUE
C
C          DEVERROUILLAGE GLOBAL
C
      IF (LLVERG) CALL LFIVER (VRGLAS,'OFF')
      KRANGC=IRESUL
C
      RETURN
      END
